Pāriet uz saturu

Avatars Text to Video

Integrēt

Modeļa id argil/avatars/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/argil/avatars/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "avatar": "Mia outdoor (UGC)",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Rachel"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Līdz 1,058 $ par palaišanu maksa tiek aprēķināta pēc faktiskā lietojuma, pārējā summa tiek atmaksāta Izpildīt šajā lapā

Iegūt API atslēgu
Argil Lūpu sinhronizācija un avatāri Lūpu sinhronizācija

Izveido prezentētāja avatara video no ievadīta teksta, kas ierunāts ar balsi no iepriekš iestatīta saraksta

Argil · Video

Šeit būs jūsu pirmais rezultāts

Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts
•obligāts
•obligāts
POST /run/argil/avatars/text-to-video?wait=20 cena → 1,058 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/argil/avatars/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "avatar": "Mia outdoor (UGC)",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Rachel"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par Avatars Text to Video

Izvēlieties iepriekš iestatītu avatāru, ierakstiet tekstu `text`, kas tam jāpasaka, un izvēlieties `voice` no atļautajiem nosaukumiem. Audiofails nav nepieciešams, jo runa tiek sintezēta no teksta. `remove_background` var noņemt fonu. Atbilde ietver video un moderācijas laukus, piemēram, atzīmēšanas statusu un transkripciju.

Parametri

NosaukumsTips NoklusējumsAtļauts Apraksts
avatarobligāts
Tipsenum
Mia outdoor (UGC)Lara (Masterclass)Ines (UGC)Maria (Masterclass)Emma (UGC)Sienna (Masterclass)Elena (UGC)Jasmine (Masterclass)Amara (Masterclass)Ryan podcast (UGC)Tyler (Masterclass)Jayse (Masterclass)Paul (Masterclass)Matteo (UGC)Daniel car (UGC)Dario (Masterclass)
+vēl 12Viva (Masterclass)Chen (Masterclass)Alex (Masterclass)Vanessa (UGC)Laurent (UGC)Noemie car (UGC)Brandon (UGC)Byron (Masterclass)Calista (Masterclass)Milo (Masterclass)Fabien (Masterclass)Rose (UGC)
textobligāts
Tipsstring
voiceobligāts
Tipsenum
RachelClydeRogerSarahLauraThomasCharlieGeorgeCallumRiverHarryLiamAliceMatildaWillJessica
+vēl 4LillyBillOxleyLuna
remove_backgroundneobligāts
Tipsboolean
Noklusējumsfalse
obligāts

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "argil/avatars/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1058,
    "usd": "1.058",
    "charged": 1058,
    "refunded": 0
  },
  "input": {
    "avatar": "Mia outdoor (UGC)",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Rachel"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "moderation_flagged": false,
    "moderation_transcription": "string",
    "moderation_error": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
video
object {url, content_type, file_name, file_size} | null
moderation_flagged
boolean
moderation_transcription
string | null
moderation_error
string | null

Vairāk modeļu: Lūpu sinhronizācija un avatāri

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/argil/avatars/text-to-video.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt